<?xml version="1.0" encoding="UTF-8"?>
<odoo>
 <record id="action_marketing_leads_list" model="ir.actions.act_window">
    <field name="name">Marketing Leads</field>
    <field name="type">ir.actions.act_window</field>
    <field name="res_model">sos_marketing_leads</field>
    <field name="view_mode">tree,form,kanban</field>
</record>

<record id="sos_marketing_leads_view_panel" model="ir.ui.view">
    <field name="name">sos_marketing_leads.search</field>
    <field name="model">sos_marketing_leads</field>
    <field name="arch" type="xml">
        <search>
   
<searchpanel>

<field name="source" string="Source" icon="fa-list-ul" enable_counters="1"/>

</searchpanel>
            <!-- Add fields to search on -->
            <field name="company_name" string="Company Name"/>

            
      
        </search>
    </field>
</record>

    <record id="sos_marketing_leads_view_tree" model="ir.ui.view">
        <field name="name">sos_marketing_leads.view.tree</field>
        <field name="model">sos_marketing_leads</field>
        <field name="arch" type="xml">
            <tree>
                
                <field name="company_name"/>
                <field name="source"/>
               
           

<field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
            </tree>
        </field>
    </record>
       <record id="sos_marketing_leads_form_view" model="ir.ui.view">
      <field name="name">Form</field>
        <field name="model">sos_marketing_leads</field>
        <field name="arch" type="xml">
  <form string="Model Form">
     
                    <sheet>
 <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Marketing Leads</h2><hr></hr><br></br>  
<table class="table" style="box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;">
<tr>
<td><group><field name="expo_option"/></group></td>
<td><group><field name="conference_option"/></group></td>
<td><group><field name="linkedin_groups_option"/></group></td></tr>
<tr>
<td><group><field name="linkedin_poll_option"/></group></td>
<td><group><field name="direct_company"/></group></td>
<td><group><field name="expo_participated_option"/></group></td></tr>

</table>
<br></br><br></br><br></br>
<h3 style="text-transform: uppercase;
    text-decoration: underline;">Company Info</h3>
                        <group>
                            <!-- First Column -->
                            <group>
                            <field name="move_div_display" invisible="1"/>
                            <field name="company_name"/>
                            <field name="country"/>
                            </group>
                            <!-- Second Column -->
                            <group>
                            <field name="source" invisible="1"/>
                           <field name="website_url"/>
                           <field name="location"/>
                            </group>
                        </group>
                        <br></br>
                        <!--Expo-->
                    <div invisible="expo_option != True"> 

                    <h3 style="text-transform: uppercase;
                    text-decoration: underline;">Expo Details</h3>
                    <group>
                    <group>
                    <field name="expo_name"/>
                    <field name="expo_date_from"/>
                    <field name="expo_date_to"/>
                    </group>
                    <group>
                    <field name="expo_Location"/>
                    <field name="vertical_domain"  widget="many2many_tags"/>
                    </group>
                    </group>
                    </div>
                    <!--Conference-->
                     <div invisible="conference_option != True"> 
                    <h3 style="text-transform: uppercase;
                    text-decoration: underline;">Conference Details</h3>
                    <group>
                    <group>
                    <field name="conference_name"/>
                    <field name="conference_date_from"/>
                    <field name="conference_date_to"/>
                    </group>
                    <group>
                    <field name="conference_Location"/>
                    <field name="vertical_domain"  widget="many2many_tags"/>
                    </group>
                    </group>
                    </div>
                    <!--LinkedIn Group-->
                     <div invisible="linkedin_groups_option != True"> 
                    <h3 style="text-transform: uppercase;
                    text-decoration: underline;">LinkedIn Group Details</h3>
                    <group>
                    <group>
                    <field name="linkedin_group_name"/>
                    </group>
                    </group>
                    </div>
                    <!--LinkedIn Group-->
                     <div invisible="linkedin_poll_option != True"> 
                    <h3 style="text-transform: uppercase;
                    text-decoration: underline;">LinkedIn Poll Details</h3>
                    <group>
                    <group>
                    <field name="linkedin_post_url"/>
                    </group>
                    </group>
                    </div>
                    <!--Expo participated-->
                    <div invisible="expo_participated_option != True"> 

                    <h3 style="text-transform: uppercase;
                    text-decoration: underline;">Expo[Participated] Details</h3>
                    <group>
                    <group>
                    <field name="expo_name"/>
                    <field name="expo_date_from"/>
                    <field name="expo_date_to"/>
                    </group>
                    <group>
                    <field name="expo_Location"/>
                    <field name="vertical_domain"  widget="many2many_tags"/>
                    </group>
                    </group>
                    </div>
                 <br></br>
                    
                    <h3 style="text-transform: uppercase;
    text-decoration: underline;">Contact Details</h3>
                    <field name="line_ids_contacts">
                            <tree editable="bottom">
                            <field name="set_as_primary"/>
                            <field name="name"/>
                            <field name="dept"/>
                            <field name="email"/>
                            <field name="mobile_number"/>
                            <field name="linkedin_profile"/>
                             <field name="linkedin_invited_on"/>
                              <field name="linkedin_invitation_status"/>
                              <field name="remarks"/>
                            
                            </tree>
                        </field>        
<br></br>
      <div class="row" invisible="move_div_display"> 
       <div class="col-6"></div>

        <div class="col-6">  
    <table class="table_custom" style="padding: 30px;box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;background-color: #fff;border: solid 4px #9689c1;">
    <tr><td class="column">Move Lead To</td><td><field name="move_to_inside_sales" widget="many2many_tags"/></td></tr>
    <tr><td class="column">Cc To</td><td><field name="cc_mail"/></td></tr>
    <tr><td></td><td><button name="action_move_to_inside_sales" type="object" class="btn btn-primary">Move</button></td></tr>
    </table>
    </div>
    </div>
           <div class="row" invisible="move_div_display == False"> 
       <div class="col-6"></div>

        <div class="col-6">  
    <table class="table_custom" style="padding: 30px;box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;background-color: #fff;border: solid 4px #9689c1;">
    <tr><td class="column">Moved To</td><td><field readonly="1" name="move_to_inside_sales" widget="many2many_tags"/></td></tr>
    <tr><td class="column">Moved On</td><td><field readonly="1" name="moved_on"/></td></tr>
    </table>
    </div>
    </div>
                    </sheet>
                </form>
        </field>
    </record>

<menuitem id="sos_marketing_leads_menu" action="action_marketing_leads_list" name="LEADS" parent="sos_marketing_menu_root" />

</odoo>
